stdex Additional custom or not Standard C++ covered algorithms

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Protected Member Functions | List of all members
stdex::parser::basic_fraction< T > Class Template Reference

Test for fraction. More...

`#include <stdex/parser.hpp>`

Inheritance diagram for stdex::parser::basic_fraction< T >:

## Public Member Functions
| basic_fraction (const std::shared_ptr< basic_parser< T > > &_numerator, const std::shared_ptr< basic_parser< T > > &_fraction_line, const std::shared_ptr< basic_parser< T > > &_denominator, const std::locale &locale=std::locale())
virtual void | invalidate ()
Public Member Functions inherited from stdex::parser::basic_parser< T >
| basic_parser (const std::locale &locale=std::locale())
bool | search (_In_reads_or_z_opt_(end) const T *text, size_t start=0, size_t end=SIZE_MAX, int flags=match_default)
bool | match (_In_reads_or_z_opt_(end) const T *text, size_t start=0, size_t end=SIZE_MAX, int flags=match_default)
bool | match (const std::basic_string_view< T, std::char_traits< T > > text, size_t start=0, size_t end=SIZE_MAX, int flags=match_default)

## Public Attributes
std::shared_ptr< basic_parser< T > > | numerator
std::shared_ptr< basic_parser< T > > | fraction_line
std::shared_ptr< basic_parser< T > > | denominator
Public Attributes inherited from stdex::parser::basic_parser< T >
stdex::interval< size_t > | interval
| Region of the last match.

## Protected Member Functions
virtual bool | do_match (_In_reads_or_z_opt_(end) const T *text, size_t start=0, size_t end=SIZE_MAX, int flags=match_default)
Protected Member Functions inherited from stdex::parser::basic_parser< T >

## Additional Inherited Members
Protected Attributes inherited from stdex::parser::basic_parser< T >
std::locale | m_locale

## Detailed Description

template<class T>
class stdex::parser::basic_fraction< T >

Test for fraction.

## Member Function Documentation

## ◆ do_match()

template<class T >

virtual bool stdex::parser::basic_fraction< T >::do_match | ( | _In_reads_or_z_opt_(end) const T * | text,
|  | size_t | start = 0,
|  | size_t | end = SIZE_MAX,
|  | int | flags = match_default )
| inline protected virtual

Implements stdex::parser::basic_parser< T >.

## ◆ invalidate()

template<class T >

virtual void stdex::parser::basic_fraction< T >::invalidate | ( |  | ) |
| inline virtual

Reimplemented from stdex::parser::basic_parser< T >.

The documentation for this class was generated from the following file:

- include/stdex/parser.hpp